## org.omg.GIOP
Class IORAddressingInfoHelper

    java.lang.Object
      |
      +--org.omg.GIOP.IORAddressingInfoHelper

public class IORAddressingInfoHelper
extends java.lang.Object

Helper class for : IORAddressingInfo

Author:
  OpenORB Compiler

Constructor Summary
`IORAddressingInfoHelper()`

Method Summary
`static IORAddressingInfo` `extract(Any a)` Extract IORAddressingInfo from an any
`static java.lang.String` `id()` Return the IORAddressingInfo IDL ID
`static void` `insert(Any a, IORAddressingInfo t)` Insert IORAddressingInfo into an any
`static IORAddressingInfo` `read(InputStream istream)` Read IORAddressingInfo from a marshalled stream
`static TypeCode` `type()` Return the IORAddressingInfo TypeCode
`static void` `write(OutputStream ostream, IORAddressingInfo value)` Write IORAddressingInfo into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IORAddressingInfoHelper

    public IORAddressingInfoHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IORAddressingInfo t)

  Insert IORAddressingInfo into an any
  Parameters:
    `a` - an any
    `t` - IORAddressingInfo value

### extract

    public static IORAddressingInfo extract(Any a)

  Extract IORAddressingInfo from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IORAddressingInfo value

### type

    public static TypeCode type()

  Return the IORAddressingInfo TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IORAddressingInfo IDL ID
  Returns:
    an ID

### read

    public static IORAddressingInfo read(InputStream istream)

  Read IORAddressingInfo from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IORAddressingInfo value

### write

    public static void write(OutputStream ostream,
                             IORAddressingInfo value)

  Write IORAddressingInfo into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IORAddressingInfo value